/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/
:root {
  --wd-black-color: #222;
}
.tm-extra-product-options ul.tmcp-ul-wrap.tm-element-ul-radio,
.tm-extra-product-options ul.tmcp-ul-wrap.tm-element-ul-checkbox {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
}

@media ((max-width: 1024px) and (min-width: 768px)) {
  .tm-extra-product-options ul.tmcp-ul-wrap.tm-element-ul-radio,
  .tm-extra-product-options ul.tmcp-ul-wrap.tm-element-ul-checkbox {
    grid-template-columns: repeat(4, 1fr) !important;
  }
}

.tm-extra-product-options .tmcp-field-wrap.tc-active.tc-mode-text,
.tm-extra-product-options .tmcp-field-wrap.tc-active .tc-label-wrap .tc-image,
.tm-extra-product-options .tc-epo-element-product-thumbnail.tc-active {
  border-color: var(--wd-black-color) !important;
}
.tm-extra-product-options .tmcp-field-wrap.tc-active .tc-label-wrap .tc-image {
  border-radius: 3px;
}
.tc-image,
.tm-extra-product-options .tmcp-field-wrap .tc-label-wrap .tc-image,
.tm-extra-product-options .tc-epo-element-product-thumbnail {
  transition: all 0.3s ease-in-out;
}
.tm-extra-product-options ul.tmcp-ul-wrap li.tmcp-field-wrap.tc-mode-images {
  width: 100%;
  max-width: 100%;
}
.tm-extra-product-options .tmcp-field-wrap .tc-label-wrap .tc-image {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  object-position: center left;
  border-radius: 5px !important;
}
@media (max-width: 768px) {
  .tm-extra-product-options ul.tmcp-ul-wrap.tm-element-ul-radio,
  .tm-extra-product-options ul.tmcp-ul-wrap.tm-element-ul-checkbox {
    grid-template-columns: repeat(3, 1fr) !important;
    gap: 15px 8px !important;
  }
  .tc-mode-images .tc-label-wrap, .tc-mode-color .tc-label-wrap {
    gap: 15px !important;
  }
  .single-product .single_add_to_cart_button {
    flex: 1 !important;
  }
  .elementor-4179 .elementor-element.elementor-element-dc4588e {
    width: 95% !important;
  }
  .elementor-4179 .wd-nav-arrows.wd-pos-sep .wd-next {
    inset-inline-start: calc(100% - 9px);
  }
  .elementor-4179 .wd-nav-arrows.wd-pos-sep .wd-prev {
    inset-inline-end: calc(100% - 9px);
  }
  .footer-logo img {
    aspect-ratio: 347/95 !important;
    height: 60px !important;
    width: fit-content !important;
  }
}
.tc-mode-normal .tc-label-wrap {
  border: 2px solid rgba(0, 0, 0, 0.1);
  cursor: pointer;
  padding: 10px;
  border-radius: 3px;
  height: 100%;
  text-align: center;
}

.tc-mode-text {
  border: 2px solid rgba(0, 0, 0, 0.1);
}

.tc-mode-text.tc-active {
  border-color: var(--wd-black-color);
}

.tc-mode-normal.tc-active .tc-label-wrap {
  border-color: var(--wd-black-color);
}

.tc-mode-normal.tm-per-row,
.tc-mode-normal.tm-per-row .tm-epo-field-label {
  height: 100%;
}

.tc-mode-normal .tc-label-inner {
  display: flex !important;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.tc-mode-normal .tc-input-wrap {
  display: none;
}

.wd-post-img {
  width: 100%;
  aspect-ratio: 1200 / 800 !important;
  object-fit: cover;
  overflow: hidden !important;
}
.wd-post-img img {
  object-fit: cover;
  object-position: top center;
  height: 100% !important;
}
.wd-post-inner.article-inner {
  height: 100% !important;
  display: flex;
  flex-direction: column;
}
.wd-post-content.article-body-container {
  flex: 1 !important;
}
.wd-post-read-more.wd-style-link.read-more-section {
  margin-top: auto !important;
}
.wd-slider.wd-container-full-width .wd-slide-container {
  padding: 0 !important;
}
.wd-slider.wd-container-full-width .wd-slide-container img {
  width: 100% !important;
}
.wd-slider.wd-carousel-container .wd-slide-container img {
  width: 100% !important;
}
.wd-product.wd-hover-tiled,
.wd-product.wd-hover-tiled .product-wrapper {
  height: 100% !important;
}

.wd-product.wd-hover-tiled .product-wrapper {
  border: 1px solid #e4e4e4;
  box-shadow: none !important;
}

.woocommerce-checkout #main-content {
  position: relative;
  padding-top: 90px !important;
}
.checkout-title {
  position: absolute;
  top: 0;
}
.checkout-title,
.checkout-title .wd-page-title,
.cart-title,
.cart-title .wd-page-title {
  width: 100vw !important;
  max-width: 100vw !important;
  left: calc(50% - 50vw) !important;
}

.cart-title .wd-page-title,
.checkout-title .wd-page-title {
  padding: 25px !important;
  background-color: #fff;
}
.checkout-title .wd-page-title {
  padding-bottom: 0 !important;
}
.cart-title .wd-page-title .wd-checkout-steps,
.checkout-title .wd-page-title .wd-checkout-steps {
  color: #000;
}

@media (max-width: 768px) {
  .woocommerce-checkout #main-content {
    padding-top: 76px !important;
  }
}

.woocommerce-cart .wd-page-content {
  min-height: calc(100vh - 168px) !important;
}
.elementor-4179 .elementor-element.elementor-element-b83a05d {
  margin-top: -20px !important;
}
.tc-totals-form dl.tm-extra-product-options-totals {
  margin-bottom: 0 !important;
}
.tm-epo-totals {
  padding-bottom: 0 !important;
}
.wd-prefooter {
  padding-bottom: 0 !important;
}
.elementor-element-27f29048,
.elementor-element-49b1c73b,
.elementor-element-5b996fe8 {
  display: none !important;
}

/* 产品属性 */
.tc-epo-metadata-toggle::after {
  content: "\f129";
  font-family: "woodmart-font";
  transition: transform 0.3s ease;
  font-size: 12px;
}

.tc-epo-metadata-toggle {
  color: #000;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-block: 8px;
  width: 100%;
  order: 10;
  /* margin-top: 10px; */
}

.cart-widget-side .woocommerce-mini-cart .mini_cart_item:hover {
  background-color: #fff !important;
}

.tc-epo-metadata-toggle--open::after {
  transform: rotate(180deg);
}

.tc-epo-metadata-container {
  background-color: #f9f9f9;
  border-radius: 10px;
  padding: 0 10px;
}
.shopping-cart-widget-body .cart-item-link.wd-fill {
  inset: auto !important;
}
.tc-epo-wrapper.tc-eppp {
  margin-top: 10px;
  margin-bottom: 10px;
}
.tc-epo-metadata.variation {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease;
  margin-bottom: 0;
}
.check-product .tc-epo-meta-toggle {
  margin-top: 0 !important;
}
.check-product dl.tc-epo-meta {
  margin-top: 0 !important;
}
/* 产品属性结束 */
.container,
.container-fluid {
  padding-inline: 10px !important;
}
.index-slide .wd-el-toggle-title.title {
  background: #feecf8;
  width: 100%;
  padding: 13px 18px;
}

h1 {
  font-size: 32px !important;
  font-weight: 600 !important;
}

h2 {
  font-size: 30px !important;
}

h3 {
  font-size: 22px !important;
  font-weight: 500 !important;
}

.index-slide .wd-el-toggle-content-inner {
  padding: 10px 16px 10px 16px;
}

.index-slide .elementor-widget-wd_toggle .wd-el-toggle-content {
  margin-top: 0px !important;
}
.index-slide .elementor-widget-wd_toggle {
  border-radius: 20px !important;
  overflow: hidden !important;
}
.wd-post .wd-post-title {
  font-size: 17px !important;
  text-align: left;
}
@media (max-width: 768px) {
  h1 {
    font-size: 22px !important;
  }
  h2 {
    font-size: 20px !important;
  }
  h3 {
    font-size: 16px !important;
  }
  :is(.btn, .button, button, [type="submit"], [type="button"]) {
    padding: 4px 20px !important;
  }
  .xl-box {
    max-height: 520px;
    overflow: auto;
  }
  .wd-tools-element .wd-tools-icon:before {
    font-size: 24px !important;
  }
  .wd-post .wd-post-title {
    font-size: 16px !important;
  }
  .tabs-location-standard.tabs-type-accordion.reviews-location-tabs .product-tabs-wrapper {
    margin-bottom: 0 !important;
  }
}
.wd-nav-pagin-wrap[class*="wd-style-shape"] span {
  border-color: transparent !important;
  background-color: #0000006c !important;
  opacity: 0.5;
}
.wd-nav-pagin-wrap[class*="wd-style-shape"] li.wd-active span {
  border-color: var(--wd-primary-color) !important;
  background-color: var(--wd-primary-color) !important;
}
.index-faq .wd-accordion-title, .single-product .wd-accordion-title {
  padding-block: 10px !important;
}

@media (min-width: 1024px) {
  .bz-box .wd-collapsible-content.e-con:not(.wd-opened):after {
    display: none;
  }
}

.index-faq
  .wd-accordion.wd-opener-style-arrow
  > .wd-accordion-item
  > .wd-accordion-title
  .wd-accordion-opener:before {
  content: "" !important;
  height: 0 !important;
  width: 0 !important;
  display: block !important;
  font-family: "woodmart-font";
  border: 5px solid #000;
  border-width: 5px 6px !important;
  border-color: transparent transparent transparent #000 !important;
}

.index-faq
  .wd-accordion.wd-opener-style-arrow
  > .wd-accordion-item
  > .wd-accordion-title.wd-active
  .wd-accordion-opener {
  transform: rotate(90deg) !important;
}

.sub-box {
  width: 100vw !important;
  max-width: 100vw !important;
  left: calc(50% - 50vw) !important;
}
.sub-box .title,
.sub-box p {
  color: #000 !important;
}
.sub-box .title {
  font-weight: bold !important;
}
.sub-box input {
  border-radius: 5px !important;
}
.sub-box input[type="submit"] {
  background-color: var(--wd-primary-color) !important;
  color: #fff !important;
  padding: 5px 10px !important;
}
.sub-box input[type="email"]:focus {
  border-color: var(--wd-primary-color) !important;
}
.sub-box input[type="email"] {
  border-color: var(--wd-primary-color) !important;
  border-width: 1px !important;
}
.wd-copyrights .container {
  gap: 10px !important;
}
.wd-content-layout {
  padding-block: 30px !important;
}

.single-product .wd-content-layout {
  padding-block: 20px !important;
}

.woocommerce-cart .wd-content-layout {
  padding-block: 40px !important;
}

.woocommerce-cart .cart-title .wd-page-title {
  padding-bottom: 5px !important;
}

/* .wd-entities-title a:hover,
.item-with-label a[href]:hover {
  font-weight: bold !important;
} */
.wd-entities-title {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.bz-box h3 {
  font-weight: 600 !important;
}


.wd-sub-menu li > a:hover {
  color: #000 !important;
}
.wd-sub-menu li > a[href]:hover {
  color: var(--wd-primary-color) !important;
}
.wd-post-meta .wd-post-author {
  display: none !important;
}
.product-image-link {
  aspect-ratio: 253/380 !important;
}
.product-image-link img {
  object-fit: cover;
  object-position: top center;
  height: 100% !important;
}
.wd-sub-menu li > a .menu-label {
  margin-top: -15px !important;
  margin-inline-start: -5px !important;
}

.product-pic-list .content {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
  margin-top: 20px;
}
.product-pic-list .content br {
  display: none !important;
}
.info-detail video {
  width: 100% !important;
}
video {
  aspect-ratio: 16/9 !important;
}
.review-images {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 10px;
  margin-top: 15px;
}
.info-detail .column-list p {
  margin: 0 !important;
}
.info-detail .column-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
}
.woocommerce-Tabs-panel--description .info-detail + .wd-images-gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
}

.single-product h1 ~ .price {
  display: flex;
  gap: 5px;
  align-items: end;
  font-size: 28px;
}
.single-product h1 ~ .price del {
  order: 2;
  padding-bottom: 2px;
  font-size: 16px;
}
.woocommerce-product-rating {
  border-bottom: 1px solid #e5e7eb;
  padding-bottom: 20px;
}

.tm-extra-product-options .tc-epo-label {
  font-weight: bold !important;
}
.tm-extra-product-options .tc-right {
  order: 0 !important;
}
.wd-product .wd-entities-title {
  font-weight: 500 !important;
  line-height: 1.5 !important;
  max-height: 42px !important;
}
@media (max-width: 768px) {
  .single-product .wd-nav-arrows.wd-pos-sep .wd-next,
  .single-product .wd-nav-arrows.wd-pos-sep .wd-prev {
    background: rgb(234 103 236 / 40%);
    transition: all .15s ease-in-out;
  }
  .elementor-4179 .elementor-element.elementor-element-dc4588e .wd-next .wd-arrow-inner:after,
  .elementor-4179 .elementor-element.elementor-element-dc4588e .wd-prev .wd-arrow-inner:after {
    font-size: 24px !important;
  }
  .elementor-4179 .elementor-element.elementor-element-f76f192 {
    flex-direction: row;
  }
  .elementor-element-0658da0 {
    margin: 0 auto !important;
  }
  .woocommerce-breadcrumb {
    font-size: 12px !important;
    padding: 4px 10px !important;
    border-radius: 2px !important;
  }
  .wd-products[class*="wd-stretch-cont"] .product-element-bottom {
    padding-inline: 4px !important;
  }
  .product-label.onsale {
    font-size: 12px !important;
  }
  .single-product .wd-nav-arrows.wd-pos-sep .wd-arrow-inner {
    color: #fff;  
  }
  .info-detail .column-list,
  .woocommerce-Tabs-panel--description .info-detail + .wd-images-gallery {
    grid-template-columns: repeat(2, 1fr);
  }
  .wd-product .wd-entities-title {
    font-size: 14px !important;
  }
  .wd-products[class*="wd-stretch-cont"]
    .wd-product
    :is(.price, .wrap-price, .product-rating-price) {
    font-size: 14px !important;
  }

  .wd-products[class*="wd-stretch-cont"]
    .wd-product
    :is(.price, .wrap-price, .product-rating-price)
    del {
    font-size: 12px !important;
  }

  .elementor-element-48315f1 h2,
  .elementor-element-985d90a h2,
  .elementor-element-1e5cce6 h2,
  .elementor-element-3053322 h2,
  .elementor-element-8885bd9 h2,
  .elementor-element-861e3bb h2,
  .elementor-element-548fe640 h2,
  .elementor-element-477a6df h2,
  .elementor-element-c23fbf5 h2 {
    font-size: 22px !important;
  }

  .elementor-4216 .elementor-element.elementor-element-3caa2c62 .title {
    font-size: 18px !important;
  }
  .elementor-element-65854570 {
    font-size: 12px !important;
    text-align: left !important;
  }
  .elementor-4216
    .elementor-element.elementor-element-65854570:not(
      .elementor-motion-effects-element-type-background
    ),
  .elementor-4216
    .elementor-element.elementor-element-65854570
    > .elementor-motion-effects-container
    > .elementor-motion-effects-layer {
    background-image: url("https://www.karendoll.com/wp-content/uploads/2026/03/lR3PKcgFI38y1DnNARvNAWawoFeN-JoIpH8JkVUclWQjAA_358_283.webp") !important;
  }

  .wd-gallery-thumb .wd-carousel-item {
    max-width: calc(100% / 4) !important;
  }

  .single-product .wd-product-brands {
    display: none !important;
  }

  .single-product .wd-content-layout {
    padding-top: 10px !important;
  }
  .wd-content-area>.single-breadcrumbs-wrapper {
    margin-bottom: 10px !important;
  }
  [class*="wd-grid"] {
    gap: 10px !important;
  }
  [class*="wd-grid"].wd-posts {
    gap: 20px !important;
  }
  .elementor-element-adbc56f {
    margin-top: 20px;
  }
  .single-product h1.entry-title {
    font-size: 18px !important;
    margin-bottom: 12px !important;
  }
  .single-product h1 ~ .price {
    font-size: 24px !important;
  }
  .single-product h1 ~ .price del {
    font-size: 14px;
  }
  .h1-box h2 {
    font-size: 18px !important;
    margin-bottom: 10px !important;
  }
  .h1-box p, .h1-box ul, .h1-box h3 {
    margin-bottom: 10px !important;
  }
  .elementor-element-f76f192 {
   gap: 0 !important;
  }
}
.single-product .star-rating:before,
.single-product .star-rating span:before {
  font-size: 16px !important;
}

.index-slide .wd-sub-menu li>a {
  color: #222;
}

 .archive .wd-collapsible-content.e-con:not(.wd-opened):after {
  background: linear-gradient(to bottom, transparent 0px, rgb(255 244 244) 45px);
}

.woocommerce-breadcrumb {
  background-color: #f5f5f5;
  border-radius: 5px;
  margin-bottom: 0;
  padding: 10px;
}

.wd-product .product-element-bottom .price {
  display: flex;
  gap: 5px;
  align-items: end;
}
.wd-products[class*="wd-stretch-cont"]
  .wd-product
  :is(.price, .wrap-price, .product-rating-price)
  del {
  order: 2;
  padding-bottom: 1px;
}

.wd-slider#slider-75 {
  border-radius: 20px;
  overflow: hidden !important;
}

@media (max-width: 1024px) {
  .elementor-element-e7aec67 {
    display: none !important;
  }
  .elementor-4179 .elementor-element.elementor-element-f4c3c9f {
    --width: 100% !important;
  }
}

.wd-header-nav .menu.wd-nav {
  width: 100% !important;
  /* justify-content: space-between !important; */
}
.whb-main-header {
  box-shadow: 0 1px 5px 0 rgba(0, 0, 0, 0.2);
}
.wd-product .product-wrapper {
  border-radius: 16px !important;
  overflow: hidden !important;
}
.wd-opened .wd-btn-text {
  display: none;
}
.wd-opened a.btn::after {
  content: "閉じる";
}
[class*="wd-header-search-form"] input[type="text"] {
  border-color: var(--wd-primary-color) !important;
}
.searchform[class*="wd-style-with-bg"] .searchsubmit {
  right: -51px !important;
  border-radius: var(--wd-form-brd-radius) !important;
}
.whb-col-center {
  justify-content: center !important;
}
.tc-price .amount {
  color: var(--wd-black-color) !important;
}
.elementor-widget-wd_video {
  border-radius: 20px !important;
  overflow: hidden !important;
}

.archive #main-content {
  display: flex;
  gap: 20px;
}
.archive #main-content .wd-sidebar{
  width: 19.44%;
}
.archive #main-content .wd-content-area.site-content{
  width: 80%;
}
.archive #main-content .wd-side-hidden + .wd-content-area.site-content, .archive.woodmart-archive-blog #main-content .wd-content-area.site-content {
  width: 100% !important;
}
.woocommerce-checkout textarea {
  min-height: 100px !important;
}

.wc-block-grid__products {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px !important;
  list-style: none;
  padding: 0;
}
.wc-block-grid__product-onsale {
  display: none !important;
}
.wc-block-grid__product-image img {
  aspect-ratio: 249/373;
}

@media (max-width: 768px) {
  .wc-block-grid__products {
    grid-template-columns: repeat(2, 1fr);
  }
  .archive #main-content .wd-content-area.site-content{
    width: 100%;
  } 
}

.searchform .wd-clear-search {
  inset-inline-end: 10px !important;
}

/* 折叠 */
.wd-collapsible-content.elementor-column>.elementor-widget-wrap, .wd-collapsible-content.e-con {
  overflow: hidden;
  transition: max-height 0.5s ease-in-out;
}
.wd-collapsible-content.e-con:not(.wd-opened) .elementor-widget-wd_button:last-child {
  padding-inline-start: var(--padding-inline-start);
  padding-inline-end: var(--padding-inline-end);
  position: absolute;
  inset-inline: 0;
  bottom: var(--padding-block-end, 0);
  z-index: 11;
}
.wd-collapsible-content.elementor-column:not(.wd-opened)>.elementor-widget-wrap:after, .wd-collapsible-content.e-con:not(.wd-opened):after {
    content: "";
    position: absolute;
    inset-inline: 0;
    bottom: 0;
    z-index: 10;
    height: calc(100px + var(--padding-block-end, .001px));
    background: linear-gradient(to bottom, transparent 0px, currentColor 45px);
    color: #fff;
}
.wd-collapsible-content.elementor-column.wd-opened>.elementor-widget-wrap, .wd-collapsible-content.e-con.wd-opened {
    max-height: 100% !important;
}

.woocommerce-mini-cart__buttons .btn-cart {
  background-color: #000 !important;
}

/* 产品图相册 */
 @media (max-width: 1024px) {
  .thumbs-position-left .wd-gallery-thumb {
    flex: 1 1 100%;
    order: 2;
    height: none; 
    }
    .thumbs-position-left.wd-has-thumb .wd-gallery-images {
      width: 100% !important;
    }
    .thumbs-position-left .wd-gallery-thumb .wd-carousel-inner {
      position: relative;
    }
    .thumbs-position-left .wd-gallery-thumb .wd-carousel {
      height: none;
    }
    .thumbs-position-left .wd-gallery-thumb .wd-carousel-wrap {
      flex-direction: row !important;
    }
    .thumbs-position-left .wd-gallery-thumb .wd-carousel-item {
      max-width: calc(100% / 4) !important;
      padding: 0 calc(var(--wd-gap) / 2);
    }
    .thumbs-position-left .wd-carousel {
      margin-inline: calc(var(--wd-gap) / -2) !important;
    }
    .thumbs-position-left .wd-gallery-thumb .wd-nav-arrows {
     display: none !important;
    }
  }

.wd-load-more.wd-products-load-more:hover{
  background-color: var(--wd-primary-color) !important;
  color: #fff !important;
  border-color: var(--wd-primary-color) !important;
  opacity: 0.8 !important;
}

.wd-load-more.wd-products-load-more, .wd-load-more-loader {
  background-color: var(--wd-primary-color) !important;
  border-color: var(--wd-primary-color) !important;
  color: #fff !important;
}

.wd-coupon-form .button[name="apply_coupon"] {
  background-color: transparent !important;
  border: 1px solid var(--wd-primary-color) !important;
  color: var(--wd-primary-color) !important;
}

@media (max-width: 768px) {
  .wd-coupon-form {
    gap: 26px !important;
  }
  .wd-cart-totals .wc-proceed-to-checkout .checkout-button {
    margin-top: 11px !important;
  }
  .wd-el-video-play-btn {
    width: 60px !important;
    height: 60px !important;
  }
  .wd-el-video-play-btn:before {
    font-size: 20px !important;
  }
  .blog-design-masonry .wd-post-content {
    padding-top: 10px !important;
  }
}
.wd-post-cat {
  display: none !important;
}
.danxuan-ul {
  display: flex !important;
}
.danxuan-ul li .tmcp-field-wrap-inner{
  width: fit-content !important;
}
.danxuan-ul li .tc-label .tc-label-inner{
  text-align: left !important;
}

.wd-blog-element .archive-meta a, .post-template #main-content a, .term-description a, .woocommerce-Tabs-panel--description a{
  color: var(--wd-primary-color) !important;
}
.term-description a .wd-btn-text, .term-description .wd-opened a.btn::after{
  color: #D66A9A !important;
}
.wd-blog-element .archive-meta a:hover, .post-template #main-content a:hover, .term-description a:hover, .woocommerce-Tabs-panel--description a:hover{
  opacity: 0.8 !important;
}
/* 博客详情主图不显示 */
.wd-post-image {
  display: none !important;
}
.woocommerce-ordering {
  display: none !important;
}
.single-product .product_meta .sku_wrapper {
  display: none !important;
}
.wd-buttons .wlr-product-message {
  display: none !important;
}
.wd-action-btn.wd-style-icon>a {
  height: 50px !important;
}